using System;
using System.Drawing;
using Syncfusion.Windows.Forms.Diagram;

namespace MyCustomSymbol
{
	/// <summary>
	/// Summary description for MySymbol.
	/// </summary>
		public class MySymbol : Symbol
		{
			private Syncfusion.Windows.Forms.Diagram.Rectangle outerRect = null;
			private BitmapNode innerimage = null;
			

			public MySymbol()
			{
				//////////////////////////////////////////////////////////////////
				// Add child nodes to the symbol programmatically
				//////////////////////////////////////////////////////////////////

				// Add an outer rectangle
				this.outerRect = new Syncfusion.Windows.Forms.Diagram.Rectangle(0, 0, 150, 150);
				this.outerRect.Name = "Rectangle";
				this.outerRect.FillStyle.Color = Color.Khaki;
				this.AppendChild(outerRect);

				// Add an BitmapNode
				this.innerimage = new BitmapNode(new Bitmap("..\\..\\mycomp.bmp"));
				this.innerimage.X = this.Width/2 - this.innerimage.Width/2;
				this.innerimage.Y = this.Height/2 - this.innerimage.Height/2;

				
				this.AppendChild(innerimage);
			
				//Add Label
				Label lbl = this.AddLabel("My Symbol", BoxPosition.Center);
				lbl.BackgroundStyle.Color = Color.Transparent;
			}
		}
	}
